#!/usr/bin/python
"""
This file is part of jam-control.

jam-control is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

fedora-audio-control is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with jam-control.  If not, see <http://www.gnu.org/licenses/>.
"""

from subprocess import call
import os

class JackController():
    """
    This class must have the same methods and return statements as jackDbusController. 
    The main app should not know which one it's using
    """
    
    def startJack(self):
        os.chdir(os.environ["HOME"])
        f = open(".jackdrc", "r")
        command = f.readline()
        f.close()
        call(command, shell=True)
        
    def stopJack(self):
        pass
    
    def getStatus(self):
        pass   